# $Revision: 1.19 $, $Date: 2007-12-26 22:53:35 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Email
%define		pnam	FolderType
Summary:	Email::FolderType - return type of a mail folder
Summary(pl.UTF-8):	Email::FolderType - sprawdzenie rodzaju folderu pocztowego
Name:		perl-Email-FolderType
Version:	0.813
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Email/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	4d33367e38ec1548737c15ccd200f18c
URL:		http://search.cpan.org/dist/Email-FolderType/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.47
BuildRequires:	perl-Module-Pluggable
%endif
Conflicts:	perl-Email-FolderType-Net <= 0:1.02
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a utility module for detecting the type of a given mail box.

%description -l pl.UTF-8
Jest to moduł narzędziowy do wykrywania rodzaju podanej skrzynki
pocztowej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Email-FolderType.spec,v $
Revision 1.19  2007-12-26 22:53:35  zbyniu
- up to 0.813; generic URL

Revision 1.18  2007-03-26 22:14:55  radek
- rel 3

Revision 1.17  2007/02/13 07:16:54  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.15  2006/08/09 19:47:11  agaran
- BR: perl-Module-Pluggable

Revision 1.14  2005/01/13 11:13:11  radek
- release 2: conflicts perl-Email-FolderType-Net <= 0:1.02

Revision 1.13  2005/01/09 14:48:36  adamg
- updated to 0.8

Revision 1.12  2004/11/03 22:30:20  paladine
- formatting

Revision 1.11  2004/05/13 19:05:09  adamg
- more specific BuildRequires

Revision 1.10  2004/05/13 18:46:15  adamg
- updated to 0.7

Revision 1.9  2004/05/07 00:32:00  ankry
- rel. 2

Revision 1.8  2004/05/06 18:09:33  ankry
- fixed perl-devel BR

Revision 1.7  2004/04/20 10:19:49  ankry
- new bconds

Revision 1.6  2004/04/20 07:35:44  ankry
- license fixes and unification

Revision 1.5  2003/09/15 09:42:23  adamg
- updated to 0.6

Revision 1.4  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.3  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.2  2003/07/31 21:10:46  qboosh
- pl

Revision 1.1  2003/07/25 19:22:52  radek
- new
